Description

Our thoughts on organization structure are built around our experimental/business units.  For example, CDF and Nova.  Each of

these units has distinct users, different locations, and differing requirements.

For example, Nova has systems on site and in Ash River MI, while CDF only has systems on site.

As I understood it the purpose of config groups is to put a bunch of like settings and modules together so I can accomplish a specific

purpose.  So, for Nova I would like to make a Config Group called "has hardware console" and apply it to the systems that are

connected to the hardware serial console.  The hardware console in Ash River is different than the one here on site (both in being a

different physical unit, and a different manufacturer), but that name seemed to have a clear purpose.

I could aim for a name like "has hardware console (ash river)" but, for our experiments on site, this becomes somewhat unwieldy. 

I've already broken my systems into Orgs and Locations, so needing to make my config groups something like "has hardware

console (on site) (Nova)" and "has hardware console (on site) (CDF)" creates a bit more overhead than seems rational.  Creating a

config group called "hardware console" that is visible where I specify seems like my preferred solution.

Some users are in multiple orgs and multiple locations.  Some are only in one org and one location.

Related issues:

Is duplicate of Foreman - Bug #10021: Config groups are not taxable New 04/05/2015

History

#1 - 05/14/2015 03:27 AM - Dominic Cleal

- Category changed from Puppet integration to Organizations and Locations

#2 - 05/29/2015 08:09 AM - Dominic Cleal

- Is duplicate of Bug #10021: Config groups are not taxable added

#3 - 05/29/2015 08:09 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report Pat, tracking this under #10021.
